Bug 1285848 - [Admin portal] No value for Operating system in VM's Guest Info tab
[Admin portal] No value for Operating system in VM's Guest Info tab
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine
Classification: oVirt
Component: Frontend.WebAdmin (Show other bugs)
3.6.1
Unspecified Unspecified
unspecified Severity medium (vote)
: ovirt-3.6.3
: 3.6.3
Assigned To: Marek Libra
Petr Matyáš
: ZStream
Depends On:
Blocks: 1272502
  Show dependency treegraph
 
Reported: 2015-11-26 11:27 EST by Jiri Belka
Modified: 2016-02-18 06:14 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-18 06:14:52 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Virt
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑3.6.z+
rule-engine: planning_ack+
tjelinek: devel_ack+
pstehlik: testing_ack+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 50416 master MERGED webadmin: VM's Guest Info tab displays OS 2015-12-16 03:47 EST
oVirt gerrit 50578 ovirt-engine-3.6 MERGED webadmin: VM's Guest Info tab displays OS 2015-12-16 04:44 EST

  None (edit)
Description Jiri Belka 2015-11-26 11:27:23 EST
Description of problem:

There's no value for Operating system in VM's Guest Info tab

engine=# select vm_guid,guestos_arch,guestos_codename,guestos_distribution,guestos_kernel_version,guestos_type,guestos_version from vm_dynamic where vm_guid = '77447af6-731c-431c-95c3-68245d81aeaf';
-[ RECORD 1 ]----------+-------------------------------------
vm_guid                | 77447af6-731c-431c-95c3-68245d81aeaf
guestos_arch           | 1
guestos_codename       | Win 8
guestos_distribution   | 
guestos_kernel_version | 
guestos_type           | Windows
guestos_version        | 6.2


        guestOsInfo = {'kernel': '', 'arch': 'x86_64', 'version': '6.2', 'distribution': '', 'type': 'windows', 'codename': 'Win 8'}
        username = user@jb-w81x64
        guestName = JB-W81X64


Version-Release number of selected component (if applicable):
rhevm-3.6.1-0.2.el6.noarch / 3.6.2 WGT iso

How reproducible:
100%

Steps to Reproduce:
1. have windows with 3.6.2 WGT and see what's value for Operating system in
   Guest Info subtab
2.
3.

Actual results:
Operating system value is empty

Expected results:
OS value should be reported as DB has it

Additional info:
Comment 2 Red Hat Bugzilla Rules Engine 2016-01-28 07:14:38 EST
Bug tickets that are moved to testing must have target release set to make sure tester knows what to test. Please set the correct target release before moving to ON_QA.
Comment 3 Red Hat Bugzilla Rules Engine 2016-01-28 07:18:44 EST
Bug tickets that are moved to testing must have target release set to make sure tester knows what to test. Please set the correct target release before moving to ON_QA.
Comment 4 Red Hat Bugzilla Rules Engine 2016-01-28 07:34:26 EST
Bug tickets that are moved to testing must have target release set to make sure tester knows what to test. Please set the correct target release before moving to ON_QA.
Comment 5 Red Hat Bugzilla Rules Engine 2016-01-28 07:51:35 EST
Bug tickets that are moved to testing must have target release set to make sure tester knows what to test. Please set the correct target release before moving to ON_QA.
Comment 6 Petr Matyáš 2016-02-02 10:12:34 EST
Verified on 3.6.3-1

Note You need to log in before you can comment on or make changes to this bug.